Swap instance (V2)
curl --request POST \
--url https://api.tagada.io/api/public/v1/plugins/v2/swap \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"oldDeploymentInstanceId": "plugin_instance_old123",
"newDeploymentId": "plugin_deployment_new123",
"storeId": "store_abc123"
}
'import requests
url = "https://api.tagada.io/api/public/v1/plugins/v2/swap"
payload = {
"oldDeploymentInstanceId": "plugin_instance_old123",
"newDeploymentId": "plugin_deployment_new123",
"storeId": "store_abc123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
oldDeploymentInstanceId: 'plugin_instance_old123',
newDeploymentId: 'plugin_deployment_new123',
storeId: 'store_abc123'
})
};
fetch('https://api.tagada.io/api/public/v1/plugins/v2/swap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}plugins-v2
Swap instance (V2)
Swap an instance (atomic unmount + mount for switching)
POST
/
api
/
public
/
v1
/
plugins
/
v2
/
swap
Swap instance (V2)
Authorizations
Enter your API key as: Bearer your-api-key
Body
application/json
Show child attributes
Show child attributes
Response
Successful response
⌘I
